Subject: [PATCH] ARM: OMAP2+: Warn about deprecated legacy booting mode

From: [email-masked] (Tony Lindgren)
Date: Sun, 2 Nov 2014 10:15:18 -0800

* Tony Lindgren <[email-masked]> [141101 15:00]:
> * Russell King - ARM Linux <[email-masked]> [141031 17:46]:
>  
> > However, these are minor compared to the dreadful poweroff behaviour.
> > Still going to have to disable DT booting for the LDP because of that.
> 
> Sure, I'll let you know as soon as I have something available
> for the PMIC powerdown issue.

OK found the problem. The PMIC power transition register needs to
have charger and VBUS bits disabled to prevent immediate reboot
on powerdown for some boards.

Fix posted as "mfd: twl4030-power: Fix poweroff with PM configuration
enabled":

https://lkml.org/lkml/2014/11/2/114

Regards,

Tony